//------------------------------------------------------------------------
// File name...............: ReportMetrics.h
// Library.................: Microsoft Foundation Classes
// Beskrivelse.............:				   
//		Headerdefinition af CxMetrics-klasse
//
//		Denne klasse anvendes ved dokomentbehandling til styring
//		af print og skrm sider
//
//------------------------------------------------------------------------
#ifndef	__ReportMetrics_h__
#define	__ReportMetrics_h__ 

#include "stdafx.h"

class CxReportMetrics
{
public:
	// Beregn rapport metrics
	void ComputeReportMetrics(CDC *pDC, CWnd *pWnd, long MaxLinesPerPage); 

	// Member variable til rapport
	CSize m_SizeTotal; // Total rapport strrelse
	CSize m_PageSize; // Side scroll strrelse
	CSize m_LineSize; // Linie scroll strrelse
	int m_nLinesPerPage; // Antal linier pr side
	int m_nLineHeight; // Antal pixels pr linie
	int m_nLineWidth; // Maximum linie lngde
	int m_nMinCharWidth; // Minimum karakter bredde
	int m_nAvgCharWidth; // Middel karakter bredde
	int m_nMaxCharWidth; // Maximum karakter bredde
	int	SHeight;
};


#endif